
<html>
  <head>
    <meta charset="utf-8">
    <title>GNUKhata</title>
    <style>
     @page {
	 size: 21cm 29.7cm;
	 margin: 10mm 3mm 15mm 10mm; /* change the margins as you want them to be. */
     }
     td {
	 font-size: 65%;
	 padding: 2px !important;
	 margin:  0 !important;
	 font-weight: normal !important;
     }
     body {
	 background-image: none;
     }
     th {
	 font-size: 75%;
	 padding: 3px !important;
	 margin:  0 !important;
     }
     table { page-break-inside:auto }
     tr    { page-break-inside:avoid; page-break-after:auto }
     thead { display: table-header-group; }
     tfoot { display: table-footer-group; }
     .borderdiv {
	 border-left-style:solid;
	 border-width: 1px;
     }
     .nopadding {
	 padding: 0 !important;
	 margin: 0 !important;
     }
     div {
	 font-size:95%;
     }
     .hborderdiv {
	 border-top-style:solid;
	 padding-top: 10px;
	 border-width: 1px;
     }
    </style>
  </head>
		<script>
	$.ajax({
        url: '/editorganisation?action=getattachment',
        type: 'POST',
        datatype: 'json',
        beforeSend: function(xhr) {
            xhr.setRequestHeader('gktoken', sessionStorage.gktoken);
        },
        data: {},
    })
    .done(function(resp) {
          var imagesrc = "data:image/png;base64,"+resp["logo"];


         if(resp["logo"]){
        $("#imgbox3").attr("src", imagesrc);   
         }
         else{
           $("#logo_div").hide();
         }

        console.log("success");
    })
    .fail(function() {
        console.log("error");
    })
    .always(function() {
        console.log("complete");
    });
	</script>
  <body>
	<input type="hidden" id="invid" value="{{ invid }}">
    <div class="container-fluid">

      <div class="hidden-print row text-center text-primary"style="font-size:100%">
	<b style="font-size:10px">{% trans %}To avoid a URL appearing on your print please set 'Title' option to 'blank' in your browser's print settings. Sample setting for{% endtrans %} <a  href="{{request.static_url('gkwebapp:static/images/print.jpg')}}" target="_blank" class="text-danger"><u>{% trans %}Mozilla Firefox{% endtrans %}</u></a>.</b>
      </div>
	<div class="row text-center">
	  <h5><u id="print_heading"> TAX INVOICE - ORIGINAL FOR RECIPIENT</u></h5>
	  
	</div>
  
	<div class="row">
	<div class="col-xs-9 nopaddng" style="width:100%;border-bottom: 0.3px solid lightgrey;padding-bottom: 1%;">
          <div class="img-thumbnail img-circle " style="float:left">
            <div style="position: relative; padding: 0; cursor: pointer;" type="file">
	      <img class="img-circle"  style="width: 90px; height: 90px;" id="imgbox3">
            </div>
          </div>
	

	  <div style="word-wrap: break-word;min-width: 40%;max-width: 40%; font-size:120%;float:left;padding-left:1%">
            <h3 style="margin-top:10px !important;">{{org["orgname"]}}</h3>
	    <span style="font-weight:bold !important ; font-size:small;">
	      {% if gkresult["address"]!=""%}
		{{ gkresult["address"] }}
		{% if gkresult["pincode"]!='' %}
		  - {{ gkresult["pincode"] }}.
		{% endif %}
	      {% else %}
		{% if org["orgaddr"]!='' %}
		  {{org["orgaddr"]}}
		{% endif %}
		{% if org["orgcity"]!='' %}
		  , {{org["orgcity"]}}
		{% endif %}
		{% if org["orgstate"]!='' %}
		  , {{org["orgstate"]}}
		{% endif %}
		{% if org["orgpincode"] %}
		  - {{ gkresult["pincode"] }}.
		{% endif %}
	      {% endif %}
	    </span>
	    <br>
            {% if org["orgtelno"]!='' %}
              <span style="font-weight:bold !important ; font-size:small;">  Contact No.:</span><span style=" font-weight:normal; font-size:130%"> {{org["orgtelno"]}}</span>
            {% endif %}
	    {% if org["orgfax"] %}
              <span style="font-weight:bold !important ; font-size:small;">  Fax : </span><span style=" font-weight:normal;font-size:130%"> {{org["orgfax"]}}</span>
            {% endif %}
            {% if org["orgemail"]!='' %}
	      <br/>
              <span style="font-weight:bold !important ; font-size:small;">  Email : </span><span style=" font-weight:normal;font-size:130%">{{org["orgemail"]}}</span>
            {% endif %}
            {% if org["orgwebsite"]!='' %}
	      <br/>
              <span style="font-weight:bold !important; font-size:small;">  Website : </span><span style=" font-weight:normal;font-size:130%">{{org["orgwebsite"]}}</span> 
            {% endif %}
	    {% if gkresult["inoutflag"] == 15 and gkresult["taxflag"] == 7 %}
              <br/>
              <span style="font-weight:bold !important; font-size:small;">{% trans %}GSTIN{% endtrans %} : </span><span style=" font-weight:normal;font-size:130%">{% if org["orgstategstin"] %}{{ org["orgstategstin"] }}{% endif %}</span>
	    {% endif %}
	  </div>

	  <div style="float:right;font-size:160%;padding-right: 1%;">
	    <h5><b>DETAILS OF INVOICE</b></h5>
	    {% if gkresult["dcno"] %}
	      <label class="normal" for="instrumentno">{% trans %}Deli. Note No.{% endtrans %} : </label>
	      {{gkresult["dcno"]}}<br/>
	    {% endif %}
	    {% trans %}<b>Invoice No.</b>{% endtrans %} : <span style=" font-weight:normal;">{{ gkresult["invoiceno"] }}</span><br>
	    {% if gkresult["inoutflag"] == 15 %}
	      {% trans %}<b>Eway Bill No.{% endtrans %} : <span style=" font-weight:normal;">{{ gkresult["ewaybillno"] }}</span><br>
	    {% endif %}
	    {% trans %}<b>Invoice Date</b>{% endtrans %} : <span style=" font-weight:normal;">{{ gkresult["invoicedate"] }}</span> <br>

	    {% if gkresult["inoutflag"] == 9 %}
	      {% trans %}<b>State of Destination</b>{% endtrans %} :
	    {% else %}
	      {% trans %}<b>State of Origin</b>{% endtrans %} :
	    {% endif %}
	    <span style=" font-weight:normal;">{% if gkresult["inoutflag"] == 15 %}{{ gkresult["sourcestate"] }}{% endif %}{% if gkresult["inoutflag"] == 9 %}{{ gkresult["destinationstate"] }}{% endif %}</span><br>
	    {% trans %}<b>State Code</b>{% endtrans %} : 
	    <span style=" font-weight:normal;">{% if gkresult["inoutflag"] == 15 %}{{ '%02d' | format(gkresult["sourcestatecode"] | int) }}{% endif %}{% if gkresult["inoutflag"] == 9 %}{{ '%02d' | format(gkresult["taxstatecode"] | int) }}{% endif %}</span>

	  </div>
	</div>

	<br>

	<div class="row">
	  <div class="col-xs-9 nopaddng" style="width:100%;width:100%;border-bottom: 0.3px solid lightgrey;padding-bottom: 1%;">
	    <div style="word-wrap: break-word;min-width: 50%;max-width: 50%;float:left;font-size:150%;display: block;">
	      <h5><b>DETAILS OF RECEIVER | BILLED TO</b></h5>  
	      {% if gkresult["inoutflag"] == 9 %}
		{% trans %}<b>Supplier</b>{% endtrans %} :
	      {% else %}
		{% trans %}<b>Customer</b>{% endtrans %} :
	      {% endif %}
	      <span style=" font-weight:normal;">{{ gkresult["custSupDetails"]["custname"] }}</span> <br>

	      {% if gkresult["taxflag"] == 22 %}
		{% trans %}<b>TIN</b>{% endtrans %} : 
		<span style=" font-weight:normal;">{{ gkresult["custSupDetails"]["custtin"] }}</span>
		<input type="text"  id="taxapplicable" value="22" accesskey="" hidden>
	      {% endif %}
	      {% if gkresult["taxflag"] == 7 %}
		{% trans %}<b>GSTIN</b>{% endtrans %} : 
		<span style=" font-weight:normal;">{{ gkresult["custSupDetails"]["custgstin"] }}</span>
		<input type="text"  id="taxapplicable" value="7" accesskey="" hidden>
	      {% endif %} <br>

	      {% if gkresult["inoutflag"] == 9 %}{% trans %}<b>Supplier Address</b>{% endtrans %} :
	      {% else %}
		{% trans %}<b>Customer Address</b>{% endtrans %} :
	      {% endif %}	
	      <span style=" font-weight:normal;">{{ gkresult["custSupDetails"]["custaddr"] }}</span>
	      <br>
	      {% trans %}<b>PIN Code</b>{% endtrans %} :
	      <span style=" font-weight:normal;">{% if gkresult["custSupDetails"]["pincode"] %}{{ gkresult["custSupDetails"]["pincode"] }}{% endif %}</span>

	      <br>
	      {% if gkresult["inoutflag"] == 9 %}
		{% trans %}<b>Supplier State</b>{% endtrans %} :
	      {% else %}
		{% trans %}<b>Customer State</b>{% endtrans %} :
	      {% endif %}
	      <span style=" font-weight:normal;">	
		{% if gkresult["inoutflag"] == 9 %}{{ gkresult["sourcestate"] }}{% endif %}
		{% if gkresult["inoutflag"] == 15 %}{{ gkresult["destinationstate"] }}{% endif %}</span><br>
		{% trans %}<b>State Code</b>{% endtrans %} : 
		<span style=" font-weight:normal;">{% if gkresult["inoutflag"] == 9 %}{{ '%02d' | format(gkresult["sourcestatecode"] | int) }}{% endif %}
		  {% if gkresult["inoutflag"] == 15 %}{{ '%02d' | format(gkresult["taxstatecode"] | int)}}{% endif %}</span> <br>

	    </div>

	    <div style="word-wrap: break-word;min-width: 50%;max-width: 50%;float:left;font-size:150%;padding-left: 5%;display: block;">
	      <h5><b>DETAILS OF CONSIGNEE | SHIPPED TO</b></h5>
	      {% trans %}<b>Name</b>{% endtrans %} : 
	      <span style=" font-weight:normal;">{% if gkresult["consignee"]["consigneename"] %}{{ gkresult["consignee"]["consigneename"] }}{% endif %}</span><br>

	      {% if gkresult["taxflag"] == 22 %}
		{% trans %}<b>TIN</b>{% endtrans %} :
		<span style=" font-weight:normal;">{% if gkresult["consignee"]["tinconsignee"] %}{{ gkresult["consignee"]["tinconsignee"] }}{% endif %}</span><br>
		
	      {% endif %}
	      {% if gkresult["taxflag"] == 7 %}
		{% trans %}<b>GSTIN</b>{% endtrans %} :
		<span style=" font-weight:normal;">{% if gkresult["consignee"]["gstinconsignee"] %}{{ gkresult["consignee"]["gstinconsignee"] }}{% endif %}</span><br>
	      {% endif %}
	      {% trans %}<b>State</b>{% endtrans %} :
	      <span style=" font-weight:normal;">{% if gkresult["consignee"]["consigneestate"] %}{{ gkresult["consignee"]["consigneestate"] }}{% endif %}</span><br>
	      
	      {% trans %}<b>State Code</b>{% endtrans %} :
	      <span style=" font-weight:normal;">{% if gkresult["consignee"]["consigneestatecode"] %}{{ '%02d' | format(gkresult["consignee"]["consigneestatecode"] | int) }}{% endif %}</span><br>
	      {% trans %}<b>Address</b> :{% endtrans %}
	      <span style=" font-weight:normal;">{% if gkresult["consignee"]["consigneeaddress"] %}{{ gkresult["consignee"]["consigneeaddress"] }}{% endif %}</span><br>
	      
	      {% trans %}<b>PIN Code</b> :{% endtrans %}
	      <span style=" font-weight:normal;">{% if gkresult["consignee"]["consigneepincode"] %}{{ gkresult["consignee"]["consigneepincode"] }}{% endif %}</span>
	</div>
	</div>
	</div>
      </div>
			<br>
      {% if gkresult["taxflag"] == 22 %}
			
	<div class="row">
	  <label for="tax applicable" name="taxflag"><b style="font-size:130%">{% trans %}Tax Applicable{% endtrans %} :</b></label>
	 <b style="font-size:130%"> VAT </b>
	</div>
	<div class="row">
	  
	  <table class=" table table-condensed table-bordered">
	    <thead class="bg-primary">
	      <tr>
		<th class="mdvwrap text-center">{% trans %}Product{% endtrans %}</th>
		<th class="qtyvwrap text-center">{% trans %}Billed Quantity{% endtrans %}</th>
		<th class="qtyvwrap text-center">{% trans %}Free Quantity{% endtrans %}</th>
		<th class="smvwrap text-center">{% trans %}Rate{% endtrans %}</th>
		<th class="smvwrap text-center">{% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{% endif %}</th>
		<th class="smvwrap text-center">{% trans %}Taxable Value{% endtrans %}</th>
		<th class="ratewrap text-center">{% trans %}Tax Rate{% endtrans %} %</th>
		<th class="smvwrap text-center">{% trans %}Tax Amount{% endtrans %}</th>
		<th class="smvwrap text-center">{% trans %}Total{% endtrans %}</th>
	      </tr>
	    </thead>
	    <tbody>
	      {% for product in gkresult["invcontents"] %}
		<tr>
		  <td>
		    <small>{{ gkresult["invcontents"][product]["proddesc"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["qty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["freeqty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		  </td>

		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["priceperunit"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["discount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["taxableamount"] }}</small>
		  </td>
	      </td>
	      <td class="text-right">
		<small>{{ gkresult["invcontents"][product]["taxrate"] }}</small>
	      </td>
	      <td class="text-right">
		<small>{{ gkresult["invcontents"][product]["taxamount"] }}</small>
	      </td>
	      <td class="text-right">
		{{ gkresult["invcontents"][product]["totalAmount"] }}
	      </td>
		</tr>
	      {% endfor %}
	    </tbody>
	    <tfoot>
	      <tr>
		<td colspan="4" class="text-right">
		  {% trans %}Total{% endtrans %}
		</td>
		<td class="text-right">
		  {% if gkresult["discflag"]|int == 1 %}{{ gkresult["totaldiscount"] }}{% endif %}
		</td>
		<td class="text-right">
		  {{ gkresult["totaltaxablevalue"] }}
		</td>
		<td>

		</td>
		<td class="text-right">
		  {{ gkresult["totaltaxamt"] }}
		</td>
		<td class="text-right">
		  {{ gkresult["invoicetotal"] }}
		</td>
	      </tr>
	    </tfoot>

	  </table>
	</div>
      {% else %}
	<div class="row">
	  <label for="tax applicable" name="taxflag"><b style="font-size:130%">{% trans %}Tax Applicable{% endtrans %} :</b></label>
	 <b style="font-size:130%"> GST</b>
	</div>
	
	<div class="row">
	  <table class="table table-condensed table-bordered">
	    <thead class="bg-primary">
	      <tr>
		<th rowspan="2" class="text-center"><small>{% trans %}Product{% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>{% trans %}HSN/SAC {% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>{% trans %}Billed Qty{% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>{% trans %}Free Qty{% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>{% trans %}Rate{% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>{% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{% endif %}</small></th>
		<th rowspan="2" class="text-center"><small>{% trans %}Taxable Value {% endtrans %}</small></th>
		{% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="text-center"><small>{% trans %}CGST{% endtrans %}</small></th>{% endif %}
		{% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="text-center"><small>{% trans %}SGST/UTGST{% endtrans %}</small></th>{% endif %}
		{% if gkresult["taxname"]=='IGST' %}<th colspan="2" class="text-center"><small>{% trans %}IGST{% endtrans %}</small></th>{% endif %}
		<th colspan="2" class="text-center"><small>{% trans %}CESS{% endtrans %}</small></th>
		<th rowspan="2" class="text-center"><small>Total</small></th>
	      </tr>

	      <tr>
		{% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		{% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		{% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		{% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		{% if gkresult["taxname"]=='IGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
		{% if gkresult["taxname"]=='IGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
		<th class="text-center"><small>{% trans %}Rate{% endtrans %} %</small></th>
		<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>
	      </tr>
	    </thead>
	    <tbody>
	      {% for product in gkresult["invcontents"] %}
		<tr>
		  <td>
		    <small>{{ gkresult["invcontents"][product]["proddesc"] }}</small>
		  </td>
		  <td class="text-center">
		    <small>{{ gkresult["invcontents"][product]["gscode"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["qty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["freeqty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		  </td>

		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["priceperunit"] }}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["discount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</small>
		  </td>
		  <td class="text-right">
		    <small>{{ gkresult["invcontents"][product]["taxableamount"] }}</small>
		  </td>

		  {% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["invcontents"][product]["taxrate"] }}</small></td>{% endif %}
		  {% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["invcontents"][product]["taxamount"] }}</small></td>{% endif %}

		  {% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["invcontents"][product]["taxrate"] }}</td></small>{% endif %}
		  {% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="text-right"><small>{{ gkresult["invcontents"][product]["taxamount"] }}</small></td>{% endif %}

		  {% if gkresult["invcontents"][product]["taxname"]=='IGST' %}<td class="text-right"><small>{{ gkresult["invcontents"][product]["taxrate"] }}</small></td>{% endif %}
		  {% if gkresult["invcontents"][product]["taxname"]=='IGST' %}<td class="text-right">{{ gkresult["invcontents"][product]["taxamount"] }}</td>{% endif %}
		  <td class="text-right"><small>{{ gkresult["invcontents"][product]["cessrate"] }}</small></td>
                  <td class="text-right"><small>{{ gkresult["invcontents"][product]["cess"] }}</small></td>
                  <td class="text-right">{{ gkresult["invcontents"][product]["totalAmount"] }}</td>
		</tr>
	      {% endfor %}
	    </tbody>
	    <tfoot>
	      <tr>
		<td colspan="5" class="text-right" style="vertical-align:middle; font-size:75% ;font-weight: bold !important;">Total</td>
		<td class="text-right">{{ gkresult["totaldiscount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</td>
		<td class="text-right">{{ gkresult["totaltaxablevalue"] }}</td>
		{% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		{% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		{% if gkresult["taxname"]=='IGST' %}<td colspan="2" class="text-right">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
		<td colspan="2" class="text-right">{{ gkresult["totalcessamt"] }}</td>
		<td class="text-right">
		  {{ gkresult["invoicetotal"] }}
		</td>
	      </tr>
	    </tfoot>
	  </table>
	</div>
      {% endif %}


      <div class="row">
			<table class="col-sm-12 nopadding" >
			<tr>
			<td style="width:50%">
					<table class="table table-bordered table-condensed" >
	      <tbody>
		<tr>
		  <td>
		    <label for="transportationmode" id="transmode">{% trans %}Mode of Transportation{% endtrans %} :</label>
		  </td>
		  <td>
		    {% if gkresult["transportationmode"] %}{{ gkresult["transportationmode"] }}{% endif %}
		  </td>
		  {% if gkresult["vehicleno"] %}
		    <td>
		      <label for="inv">{% trans %}Vehicle No.{% endtrans %} :</label>
		    </td>
		    <td>
		      {{ gkresult["vehicleno"] }}
		    </td>
		  {% endif %}
		</tr>
		<tr>
		  <td>
		    <label for="supply_date">{% trans %}Date of Supply{% endtrans %}:</label>
		  </td>
		  <td>
		    {% if gkresult["dateofsupply"] %}{{ gkresult["dateofsupply"] }}{% endif %}
		  </td>
		</tr>
	      </tbody>
				</td>
	    </table>
			
	  {% if gkresult["paymentmode"] == 2 %}
	    <div class="row col-sm-12">
	      <table class="table table-bordered table-condensed">
		<thead>
		  <tr>
		    <th colspan="4">
		      Bank Details
		    </th>
		  </tr>
		</thead>
		<tbody>
		  <tr>
		    <td>
		      <label for="accountno">{% trans %}Account No.{% endtrans %} </label>
		    </td>
		    <td>
		      {% if gkresult["bankdetails"]["accountno"] %}{{ gkresult["bankdetails"]["accountno"] }}{% endif %}
		    </td>
		    <td>
		      <label for="bankname">{% trans %}Bank Name{% endtrans %} </label>
		    </td>
		    <td>
		      {% if gkresult["bankdetails"]["bankname"] %}{{ gkresult["bankdetails"]["bankname"] }}{% endif %}
		    </td>
		  </tr>
		  <tr>
		    <td>
		      <label for="branch">{% trans %}Branch Name{% endtrans %} </label>
		    </td>
		    <td>
		      {% if gkresult["bankdetails"]["branch"] %}{{ gkresult["bankdetails"]["branch"] }}{% endif %}
		    </td>
		    <td>
		      <label for="ifsc">{% trans %}IFSC code{% endtrans %} </label>
		    </td>
		    <td>
		      {% if gkresult["bankdetails"]["ifsc"] %}{{ gkresult["bankdetails"]["ifsc"] }}{% endif %}
		    </td>
		  </tr>
		</tbody>
	      </table>
	    </div>
	  {% else %}
		<br>
	    <div class="col-sm-12 nopadding">
	      {% if gkresult["paymentmode"] | int ==3 %}{% if gkresult["inoutflag"] | int == 15 %}<b style="font-size:130%">{% trans %}CASH RECEIVED{% endtrans %}{% else %}{% trans %}CASH PAID{% endtrans %}</b>{% endif %}{% endif %}
	      {% if gkresult["paymentmode"] | int ==15 %}{% trans %}ON CREDIT{% endtrans %}{% endif %}
	    </div><br>
	  {% endif %}
		
			</td>
			<td style="width:10%;">
			</td>
			<td style="width:90%;">
 
	    <div class="row hborderdiv gstfield sgstfield">
	      <div class="col-sm-6">
		<label for="taxableamount" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Taxable Amount{% endtrans %} :</label>
	      </div>
	      <div class="col-sm-6 text-right">
		<label id="taxableamount" style="font-size:110% !important; font-weight:normal; !important">{{ gkresult["totaltaxablevalue"] }}</label>
	      </div>
	    </div>
	 
	  {% if gkresult["taxflag"] == 7 %}
	    {% if gkresult["taxname"]=='SGST' %}
	      <div class="row hborderdiv gstfield sgstfield">
		<div class="form-group form-inline sgstfield">
		  <div class="col-sm-6">
		    <label for="totalsgtax" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Total SGST{% endtrans %} :</label>
		  </div>
		  <div class="col-sm-6 text-right">
		    <label id="totalsgtax" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		  </div>
		</div>
	      </div>
	      <div class="row hborderdiv gstfield sgstfield">
		<div class="form-group sgstfield form-inline">
		  <div class="col-sm-6">
		    <label for="totalcgtax" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Total CGST{% endtrans %} :</label>
		  </div>
		  <div class="col-sm-6 text-right">
		    <label id="totalcgtax" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		  </div>
		</div>
	      </div>
	    {% endif %}
	    {% if gkresult["taxname"]=='IGST' %}
	      <div class="row hborderdiv gstfield igstfield">
		<div class="form-group igstfield form-inline">
		  <div class="col-sm-6">
		    <label for="totaligtax" style="font-size:110% !important;font-weight:bold!important;">{% trans %}Total IGST{% endtrans %} :</label>
		  </div>
		  <div class="col-sm-6 text-right">
		    <label id="totaligtax" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		  </div>
		</div>
	      </div>
	    {% endif %}
	    <div class="row hborderdiv gstfield">
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="totalinvcess" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Total CESS{% endtrans %} :</label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="totalinvcess" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totalcessamt"] }} </label>
		</div>
	      </div>
	    </div>
	  {% else %}
	    <div class="row hborderdiv vatfield">
	      <div class="form-group form-inline">
		<div class="col-sm-6">
		  <label for="totalinvtax" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Total Tax{% endtrans %} :</label>
		</div>
		<div class="col-sm-6 text-right">
		  <label id="totalinvtax" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totaltaxamt"] }} </label>
		</div>
	      </div>
	    </div>
	  {% endif %}
	  <div class="row hborderdiv">
	    <div class="form-group form-inline">
	      <div class="col-sm-6">
		<label for="totalinvdiscount" style="font-size:110% !important;font-weight:bold !important;">{% trans %}Total Discount{% endtrans %} :</label>
	      </div>
	      <div class="col-sm-6 text-right">
		<label id="totalinvdiscount" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["totaldiscount"] }} </label>
	      </div>
	    </div>
	  </div>
	  {% if gkresult["roundoff"] == 1 %}
	  <div class="row hborderdiv" >
	    <div class="form-group form-inline">
	      <div class="col-sm-6">
		<label for="totalinvoicevalue" style="font-size:110% !important;font-weight:bold!important;">{% trans %}Total Invoice Value{% endtrans %} :</label>
	      </div>
	      <div class="col-sm-6 text-right">
		<label id="totalinvoicevalue" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["invoicetotal"] }} </label>
	      </div>
	    </div>
	   </div>
		 <div class="row hborderdiv" style="border-bottom-style:solid;">
	    <div class="form-group form-inline">
	      <div class="col-sm-6">
			<label for="totalinvoicevalueroundoff"  style="font-size:110% !important;font-weight:bold!important;">{% trans %}Total Invoice Value :<br>(<i> Rounded Off </i>){% endtrans %} </label>
		      </div>
		      <div class="col-sm-6 text-right">
			<label style="font-size:110% !important; font-weight:normal !important">{{ gkresult["roundoffvalue"] }}</label>
		      </div>
	    </div>
	   </div>
		 {% else %}
		 <div class="row hborderdiv" >
	    <div class="form-group form-inline">
	      <div class="col-sm-6">
		<label for="totalinvoicevalue" style="font-size:110% !important;font-weight:bold!important;">{% trans %}Total Invoice Value{% endtrans %} :</label>
	      </div>
	      <div class="col-sm-6 text-right">
		<label id="totalinvoicevalue" style="font-size:110% !important; font-weight:normal !important"> {{ gkresult["invoicetotal"] }} </label>
	      </div>
	    </div>
	   </div>
		 {% endif %}
		 <br>
			</td>
			</tr>
			</table>
  </div>
	<div class="text-center">
			{% if gkresult["invoicetotalword"]!= None %}
	      <label for="totalValueInWord" style="font-size:200% !important;">{% trans %}Total Invoice Value In Words {% endtrans %} :</label>
	      <i><label id="totalValueInWord"  style="font-size:200% !important;font-weight:normal !important;">{{gkresult["invoicetotalword"]}}</label></i>
	{% endif %}
	</div>
	<br>
	<br>	
	<div class="row">
	  <table style="width:100%">
            <tr>
	      <td class="text-left">
	        <div class="col-xs-6"  style="padding-left:0px !important;">
	          <label for="notes" class="hidden-print">Notes :</label>
                  <textarea name="name" row='3' id="notes" class="form-control hidden-print" id="notes"></textarea>
                  <p class="visible-print" id = "notespara">
                  </p>
	        </div>
	      </td>

	      <td >
	      </td>
	    </tr>
			<tr>
			<td class="text-left">
	 <div class="col-xs-6">
	    <strong><i style="font-weight:normal !important">Thank you for your business!</i></strong>
	  </div>
			</td>

			<td >
			</td>

			<td class="text-right">
			<div class="row">
	  <div class="text-right col-xs-12"style="font-size:100% !important;">
	    <strong style="font-weight:normal !important" >{{ gkresult["issuername"] }}</strong>
	    <br>
	    {% if gkresult["designation"] !='' %}
	      <i style="font-weight:normal !important">({{ gkresult["designation"] }})</i>
	    {% endif %}
	  </div>
	</div>
			</td>
			</tr>
		</table>
	</div>
  </body>
</html>
